2

I want to use QSWAT in the QGIS environment but after downloading and installing the SWATeditor and QSWAT I get two errors:

1)First: Couldn't load plugin MetaSearch due an error when calling its classFactory() method

2)Second: Couldn't load plugin QSWAT due an error when calling its classFactory() method

And then as expected in the plugin window it tells me the plugin is broken.

Can anybody help me with this?

  • 1
    I´m, also, facing problems to install the QSWAT Plugin. ![enter image description here](i.stack.imgur.com/0wtXL.png) – Bernabé Fondo Apr 10 '18 at 15:23
  • Try (re)installing things in the order in the documentation.This worked for me. – Simon Woodward Nov 13 '19 at 0:31
  • I have some problem too after install swat editor and QSWAT seems success, but after QGIS was begin, the plugin doesn't showed. Is QGIS version 2.8 dosen't compatible for QSWAT version 1.9? – dina paramithaah Feb 13 '20 at 9:08
3

QSWAT isn't in the QGIS plugin repository, and is Windows-only.

If you've followed the documentation and are still having problems, you might want to ask on the google user group.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.